Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Use pma-bbcode for trigger_error messages

  • Loading branch information...
commit 4521b285178feb1f121ae3259ef315d5632ba40d 1 parent ea65b80
Jo Michael authored
View
10 libraries/common.inc.php
@@ -602,11 +602,11 @@
* this check is done here after loading language files to present errors in locale
*/
if ($GLOBALS['PMA_Config']->error_config_file) {
- $error = '<h1>' . __('Failed to read configuration file') . '</h1>'
+ $error = '[strong]' . __('Failed to read configuration file') . '[/strong][br][br]'
. _('This usually means there is a syntax error in it, please check any errors shown below.')
- . '<br />'
- . '<br />'
- . '<iframe src="show_config_errors.php" />';
+ . '[br]'
+ . '[br]'
+ . '[conferr]';
trigger_error($error, E_USER_ERROR);
}
if ($GLOBALS['PMA_Config']->error_config_default_file) {
@@ -617,7 +617,7 @@
trigger_error($error, E_USER_ERROR);
}
if ($GLOBALS['PMA_Config']->error_pma_uri) {
- trigger_error(__('The <code>$cfg[\'PmaAbsoluteUri\']</code> directive MUST be set in your configuration file!'), E_USER_ERROR);
+ trigger_error(__('The [code]$cfg[\'PmaAbsoluteUri\'][/code] directive MUST be set in your configuration file!'), E_USER_ERROR);
}
View
2  libraries/rte/rte_routines.lib.php
@@ -63,7 +63,7 @@ function PMA_RTN_main()
trigger_error(
__('You are using PHP\'s deprecated \'mysql\' extension, '
. 'which is not capable of handling multi queries. '
- . '<b>The execution of some stored routines may fail!</b> '
+ . '[strong]The execution of some stored routines may fail![/strong] '
. 'Please use the improved \'mysqli\' extension to '
. 'avoid any problems.'),
E_USER_WARNING
View
5 libraries/sanitizing.lib.php
@@ -110,8 +110,9 @@ function PMA_sanitize($message, $escape = false, $safe = false)
'[/kbd]' => '</kbd>',
'[br]' => '<br />',
'[/a]' => '</a>',
- '[sup]' => '<sup>',
- '[/sup]' => '</sup>',
+ '[sup]' => '<sup>',
+ '[/sup]' => '</sup>',
+ '[conferr]' => '<iframe src="show_config_errors.php" />' // used in common.inc.php
);
/* Adjust links for setup, which lives in subfolder */
if (defined('PMA_SETUP')) {
View
4 main.php
@@ -289,14 +289,14 @@
*/
$gc_time = (int)@ini_get('session.gc_maxlifetime');
if ($gc_time < $GLOBALS['cfg']['LoginCookieValidity'] ) {
- trigger_error(PMA_Message::decodeBB(__('Your PHP parameter [a@http://php.net/manual/en/session.configuration.php#ini.session.gc-maxlifetime@]session.gc_maxlifetime[/a] is lower than cookie validity configured in phpMyAdmin, because of this, your login will expire sooner than configured in phpMyAdmin.')), E_USER_WARNING);
+ trigger_error(__('Your PHP parameter [a@http://php.net/manual/en/session.configuration.php#ini.session.gc-maxlifetime@]session.gc_maxlifetime[/a] is lower than cookie validity configured in phpMyAdmin, because of this, your login will expire sooner than configured in phpMyAdmin.'), E_USER_WARNING);
}
/**
* Check whether LoginCookieValidity is limited by LoginCookieStore.
*/
if ($GLOBALS['cfg']['LoginCookieStore'] != 0 && $GLOBALS['cfg']['LoginCookieStore'] < $GLOBALS['cfg']['LoginCookieValidity']) {
- trigger_error(PMA_Message::decodeBB(__('Login cookie store is lower than cookie validity configured in phpMyAdmin, because of this, your login will expire sooner than configured in phpMyAdmin.')), E_USER_WARNING);
+ trigger_error(__('Login cookie store is lower than cookie validity configured in phpMyAdmin, because of this, your login will expire sooner than configured in phpMyAdmin.'), E_USER_WARNING);
}
/**
Please sign in to comment.
Something went wrong with that request. Please try again.